Bug 1764025 - [OVN][LB] IPv6 member is not reachable in Load_Balancer with IPv4 listener
Summary: [OVN][LB] IPv6 member is not reachable in Load_Balancer with IPv4 listener
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: python-networking-ovn
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z2
: 15.0 (Stein)
Assignee: Maciej Józefczyk
QA Contact: Eran Kuris
URL:
Whiteboard:
Depends On: 1734301
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-22 07:37 UTC by Maciej Józefczyk
Modified: 2020-03-05 16:06 UTC (History)
8 users (show)

Fixed In Version: python-networking-ovn-6.0.1-0.20191018200435.704a4cc.el8ost
Doc Type: Known Issue
Doc Text:
There is a known issue that OVN load balancer does not open new connections while fetching data from members. Instead, the load balancer modifies destination address and destination port and sends request packets to the member. As a result, you cannot define IPv6 members if you use IPv4 load balancer addresses, and you cannot define IPv4 members if you use IPv5 load balancer addresses. There is currently no workaround for this issue.
Clone Of: 1734301
Environment:
Last Closed: 2020-03-05 11:53:50 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0709 0 None None None 2020-03-05 11:54:15 UTC

Comment 5 Maciej Józefczyk 2020-02-19 13:35:05 UTC
Hello Alex,

This issue is 'Known Issue'. It has never worked for OVN Load Balancer. We are going to fix this case in future.

Comment 7 errata-xmlrpc 2020-03-05 11:53:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0709


Note You need to log in before you can comment on or make changes to this bug.